﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace UltraChartColumn3DChart
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            DataTable dt = new DataTable("dt");
            dt.Columns.Add("Vertes par Semaine", typeof(string));
            dt.Columns.Add("2012-05-27", typeof(decimal));
            dt.Columns.Add("2012-06-03", typeof(decimal));
            dt.Columns.Add("2012-06-10", typeof(decimal));

            dt.Rows.Add("Caissons", 10, 20, 15);
            dt.Rows.Add("Ventes", 15, 10, 25);
            dt.Rows.Add("Ventes Possibles", 30, 25, 10);

            ultraChart1.DataSource = dt;
            ultraChart1.DataBind();

            ultraChart1.Axis.Y2.Visible = true;

            ultraChart1.Axis.Y2.Labels.Visible = true;
            ultraChart1.Axis.Y2.SetAxisNumber(Infragistics.UltraChart.Shared.Styles.AxisNumber.Y2_Axis);
            ultraChart1.Axis.Y2.Labels.SeriesLabels.Visible = true;
        }
    }
}
